//
//  CHInputSheet.h
//  Chocolat
//
//  Created by Pieter Omvlee on 26/11/2009.
//  Copyright 2009 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHSheetController.h"

@interface CHInputSheet : CHSheetController
{
  IBOutlet NSTextField *titleField;
  IBOutlet NSTextField *subtitleField;
  IBOutlet NSTextField *fieldTitleField;

  IBOutlet NSTextField *inputField;
}
- (void)setTitle:(NSString *)title;
- (void)setSubtitle:(NSString *)subtitle;
- (void)setFieldTitle:(NSString *)fieldTitle;
- (void)setDefaultValue:(NSString *)defaultValue;
@end

@interface NSObject (CHInputSheetDelegate)
- (void)inputSheetEndedWithValue:(NSString *)stringValue;
@end